> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List alerts with filtering and pagination



## OpenAPI

````yaml /openapi/alerts.json post /alerts/list
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /alerts/list:
    post:
      tags:
        - Alerts
      summary: List alerts with filtering and pagination
      operationId: alerts.list
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    id:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: ID
                    search:
                      type: string
                      minLength: 1
                      maxLength: 200
                      description: Search
                    status:
                      anyOf:
                        - enum:
                            - new
                            - in_review
                            - report_draft
                            - report_validating
                            - report_valid
                            - report_invalid
                            - filed
                            - resolved
                            - dismissed
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - new
                                - in_review
                                - report_draft
                                - report_validating
                                - report_valid
                                - report_invalid
                                - filed
                                - resolved
                                - dismissed
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - new
                                  - in_review
                                  - report_draft
                                  - report_validating
                                  - report_valid
                                  - report_invalid
                                  - filed
                                  - resolved
                                  - dismissed
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - new
                                  - in_review
                                  - report_draft
                                  - report_validating
                                  - report_valid
                                  - report_invalid
                                  - filed
                                  - resolved
                                  - dismissed
                                type: string
                      description: Status
                    name:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Name
                    description:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Description
                    externalId:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: External ID
                    scope:
                      anyOf:
                        - enum:
                            - base
                            - MX:AV
                            - MX:AV:ARI
                            - MX:AV:AVI
                            - MX:AV:INM
                            - MX:AV:JYS
                            - MX:AV:MJR
                            - MX:AV:MPC
                            - MX:AV:TSC
                            - MX:AV:VEH
                            - MX:CNBV
                            - MX:CNBV:TRANSMISOR
                            - MX
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - base
                                - MX:AV
                                - MX:AV:ARI
                                - MX:AV:AVI
                                - MX:AV:INM
                                - MX:AV:JYS
                                - MX:AV:MJR
                                - MX:AV:MPC
                                - MX:AV:TSC
                                - MX:AV:VEH
                                - MX:CNBV
                                - MX:CNBV:TRANSMISOR
                                - MX
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - base
                                  - MX:AV
                                  - MX:AV:ARI
                                  - MX:AV:AVI
                                  - MX:AV:INM
                                  - MX:AV:JYS
                                  - MX:AV:MJR
                                  - MX:AV:MPC
                                  - MX:AV:TSC
                                  - MX:AV:VEH
                                  - MX:CNBV
                                  - MX:CNBV:TRANSMISOR
                                  - MX
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - base
                                  - MX:AV
                                  - MX:AV:ARI
                                  - MX:AV:AVI
                                  - MX:AV:INM
                                  - MX:AV:JYS
                                  - MX:AV:MJR
                                  - MX:AV:MPC
                                  - MX:AV:TSC
                                  - MX:AV:VEH
                                  - MX:CNBV
                                  - MX:CNBV:TRANSMISOR
                                  - MX
                                type: string
                      description: Scope
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    updatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Updated At
                    tagIds:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            contains:
                              type: string
                              format: uuid
                            notContains:
                              type: string
                              format: uuid
                            containsAny:
                              type: array
                              items:
                                type: string
                                format: uuid
                            containsAll:
                              type: array
                              items:
                                type: string
                                format: uuid
                            empty:
                              type: boolean
                            notEmpty:
                              type: boolean
                      description: Tags
                    metadataFilters:
                      type: array
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                          value:
                            type: string
                        required:
                          - key
                          - value
                      description: Metadata Filters
                    scopeData:
                      type: object
                      properties:
                        MX:
                          type: object
                          properties:
                            actividadVulnerable:
                              type: object
                              properties:
                                mesReportado:
                                  anyOf:
                                    - type: string
                                    - type: object
                                      properties:
                                        eq:
                                          type: string
                                        contains:
                                          type: string
                                        startsWith:
                                          type: string
                                        endsWith:
                                          type: string
                                        in:
                                          type: array
                                          items:
                                            type: string
                                        nin:
                                          type: array
                                          items:
                                            type: string
                                  description: Reported Month
                                ARI:
                                  type: object
                                AVI:
                                  type: object
                                INM:
                                  type: object
                                JYS:
                                  type: object
                                MJR:
                                  type: object
                                MPC:
                                  type: object
                                TSC:
                                  type: object
                                VEH:
                                  type: object
                              description: Actividad Vulnerable
                            cnbv:
                              type: object
                              properties:
                                TRANSMISOR:
                                  type: object
                                  properties:
                                    tipoReporte:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                type: string
                                      description: Report Type
                              description: CNBV
                      description: JurisdictionUtils
                sort:
                  type: array
                  items:
                    type: object
                    properties:
                      field:
                        enum:
                          - status
                          - createdAt
                          - updatedAt
                          - relevance
                          - scopeData.MX.actividadVulnerable.mesReportado
                          - scopeData.MX.cnbv.TRANSMISOR.tipoReporte
                          - scopeData.MX.cnbv.TRANSMISOR.periodoReporte
                          - scopeData.MX.cnbv.TRANSMISOR.organoSupervisor
                          - scopeData.MX.cnbv.TRANSMISOR.claveSujetoObligado
                        type: string
                      direction:
                        enum:
                          - asc
                          - desc
                        type: string
                    required:
                      - field
                      - direction
                cursor:
                  type: string
                offset:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                limit:
                  type: integer
                  minimum: 1
                  maximum: 200
                  default: 20
                includeTotalCount:
                  type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        externalId:
                          type: string
                          description: External ID
                        name:
                          type: string
                          maxLength: 255
                          description: Name
                        description:
                          type: string
                          maxLength: 2000
                          description: Description
                        metadata:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                          description: Metadata
                        scope:
                          enum:
                            - base
                            - MX:AV
                            - MX:AV:ARI
                            - MX:AV:AVI
                            - MX:AV:INM
                            - MX:AV:JYS
                            - MX:AV:MJR
                            - MX:AV:MPC
                            - MX:AV:TSC
                            - MX:AV:VEH
                            - MX:CNBV
                            - MX:CNBV:TRANSMISOR
                            - MX
                          type: string
                        scopeData:
                          type: object
                          properties:
                            MX:
                              type: object
                              properties:
                                actividadVulnerable:
                                  type: object
                                  properties:
                                    mesReportado:
                                      type: string
                                      pattern: ^\d{6}$
                                      description: Reported Month
                                    ARI:
                                      type: object
                                    AVI:
                                      type: object
                                    INM:
                                      type: object
                                    JYS:
                                      type: object
                                    MJR:
                                      type: object
                                    MPC:
                                      type: object
                                    TSC:
                                      type: object
                                    VEH:
                                      type: object
                                cnbv:
                                  type: object
                                  properties:
                                    TRANSMISOR: {}
                            US: {}
                        id:
                          type: string
                          format: uuid
                        organizationId:
                          type: string
                        environment:
                          enum:
                            - test
                            - live
                          type: string
                        status:
                          enum:
                            - new
                            - in_review
                            - report_draft
                            - report_validating
                            - report_valid
                            - report_invalid
                            - filed
                            - resolved
                            - dismissed
                          type: string
                          description: Alert status
                        filedAt:
                          anyOf:
                            - type: string
                              format: date-time
                              description: Filed at
                            - type: 'null'
                        filedReportId:
                          anyOf:
                            - type: string
                              format: uuid
                              description: Filed report ID
                            - type: 'null'
                        itemCount:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                        createdByWorkflowId:
                          type: string
                          format: uuid
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        tags:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              name:
                                type: string
                              color:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - id
                              - name
                              - color
                      required:
                        - scope
                        - id
                        - organizationId
                        - environment
                        - status
                        - itemCount
                        - createdAt
                        - updatedAt
                  pagination:
                    type: object
                    properties:
                      hasMore:
                        type: boolean
                      nextCursor:
                        type: string
                      totalCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - hasMore
                required:
                  - data
                  - pagination
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````